Summary:       Newt Syrup is an app framework built on top of Newt
Name:          python-newt_syrup
Version:       0.2.0
Release:       14.1%{?dist}
License:       LGPLv2+
Url:           http://newt-syrup.fedorahosted.org/
Source:        http://mcpierce.fedorapeople.org/sources/newt_syrup-%{version}.tar.gz
Group:         Development/Libraries
BuildArch:     noarch
BuildRequires: python2-devel python2-setuptools

%global _description\
Newt Syrup is an app framework built on top of Newt. It provides a set of\
classes for creating text-based applications. Developers can use the widgets\
provided by Newt and the framework provided by Syrup to create full text-based\
applications in Python.

%description %_description

%package -n python2-newt_syrup
Summary: %summary
Requires:      newt >= 0.52.11
%{?python_provide:%python_provide python2-newt_syrup}

%description -n python2-newt_syrup %_description

%prep
%setup -q -n newt_syrup-%{version}

%build
%py2_build

%install
rm -rf $RPM_BUILD_ROOT
%py2_install

%files -n python2-newt_syrup
%doc AUTHORS ChangeLog COPYING
%{python2_sitelib}/*

%changelog
* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-14.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-13.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Jan 26 2018 Iryna Shcherbina <ishcherb@redhat.com> - 0.2.0-12.1
- Update Python 2 dependency declarations to new packaging standards
  (See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3)

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.2.0-11.1
- Python 2 binary package renamed to python2-newt_syrup
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-10.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-9.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-8.1
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-7.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-6.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-5.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-3.1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Nov 19 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.2.0-2.1
- Updated the upstream source location.

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Apr 07 2012 Darryl L. Pierce <dpierce@redhat.com> - 0.2.0-1
 - Created a new model for writing applications.
 - Created the Application class.
 - Created the ApplicationScreen class.
 - Created the Page class.
 - Updated the appliance example to use the new framework.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 13 2011 Darryl L. Pierce <dpierce@redhat.com> - 0.1.2-1
 - Added utils.py module.

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Sep 10 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.1-1
 - Added support for color sets.
 - Added support for using compact buttons.
 - Fixed the option model for SelectionListConfigScreen.
 - Added support for full screen applications.
 - Added dialog boxes.

* Fri Aug  5 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-6
- First official build for Fedora.

* Thu Aug  5 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-5
- Fixed License to be LGPLv2+.

* Wed Aug  4 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-4
- Revamped the packaging for the tarball to fix some delivery problems.
- Used python-mwlib as a guide.

* Wed Aug  4 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-3
- Removed unneeded elements in the spec file, per review request.

* Tue Aug  3 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-2
- Moved all source modules up one level.
- Removed a duplicate entry in the macros list of the spec.

* Tue Aug  3 2010 Darryl L. Pierce <dpierce@redhat.com> - 0.1.0-1
- Initial build candidate for Fedora.
